Upsert Contact By Email Or Phone Number
curl --request POST \
--url 'https://api.example.com/api/v1/contact/upsert?api_key='import requests
url = "https://api.example.com/api/v1/contact/upsert?api_key="
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/contact/upsert?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Data created successfully",
"meta": {},
"data": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"channels": {},
"user_attributes": {},
"last_seen": "2023-11-07T05:31:56Z",
"last_sent": "2023-11-07T05:31:56Z",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contact
Upsert Contact By Email Or Phone Number
Upsert a contact using email or phone number.
- phone_number: phone number of the contact including the country code. For ex: 16501111234
- email: email address of the contact.
POST
/
api
/
v1
/
contact
/
upsert
Upsert Contact By Email Or Phone Number
Authorizations
Your API KeyHTTPBearer
Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.
Query Parameters
Was this page helpful?

